{# base template #}
<article class="hal-papers text-content node container" role="article">
{% if papers is null %}
  {{ "An error occured during API-HAL connexion."|t }}
{% elseif papers is not empty %}
  <ul>
    {% for paper in papers %}
    <li>
      <span class="authors">{{ paper.authors }}{{ ':'|t }}</span><br>
      <span class="title">{{ '“'|t }}{{ paper.title }}{{ '”'|t }}</span><br>
      <span class="citation">{{ paper.citation|raw }}</span><br>
      <span class="type">{{ paper.type }}</span>
      {{ include('@i3s_commons/_hal_badges.html.twig') }}
      <a href="{{ paper.uri }}">{{ paper.id }}</a>
    </li>
    {% endfor %}
  </ul>
  <footer>
    <a href="{{ collectionBaseUrl ~ collectionCode ~ '/' }}">
      {{ "See the @collectionCode collection on HAL."|t({'@collectionCode': collectionCode}) }}
    </a>
  </footer>
{% else %}
  {{ "No publications found."|t }}
{% endif %}
</article>
